alpine linux填坑之路(一)

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/diyiday/article/details/78332924

公司使用的是docker环境,各套环境都是基于docker部署。
docker容器基础镜像基于 alpine linux。
有天php开发来了需求,需要安装php-bcmath组件。
刚开始以为很简单,直接输入命令就行

apk add --update php7-bcmath

运行后,在phpinfo中,发现bcmath并没有生效。

后续就开始了不断查找原因的过程。测试了很多遍,都没有生效。

最后在试验中发现了出错的原因如下:

1、公司使用的alpine版本是v.34的,安装php7时,当时的php版本为7.0.13.
2、因为过了大半年,现在alpine现在v3.6版本,现在php版本为7.1.10
3、在运行php7.0.13的容器中,运行安装bcmath,更新的php7.1.10的bcmath,这是不兼容的
4、为了处理这个问题,必须要更新bcmath到低版本。或者把php版本升级

没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试